<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-439"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20UIImage%28XHXExtension%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: UIImage(XHXExtension)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_image_07_x_h_x_extension_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="category_u_i_image_07_x_h_x_extension_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIImage(XHXExtension)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_image_09_x_h_x_extension_8h_source.html">UIImage+XHXExtension.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a89ea7606704f47daca9981784294d33f"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#a89ea7606704f47daca9981784294d33f">xhx_compressImageWithPixelSize:</a></td></tr>
<tr class="memdesc:a89ea7606704f47daca9981784294d33f"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">等比压缩图片（按像素）  <a href="category_u_i_image_07_x_h_x_extension_08.html#a89ea7606704f47daca9981784294d33f">更多...</a><br/></td></tr>
<tr class="separator:a89ea7606704f47daca9981784294d33f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae7703ab2592952e992369f3c6d891b5b"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#ae7703ab2592952e992369f3c6d891b5b">xhx_cropByWidthHeightRate:</a></td></tr>
<tr class="separator:ae7703ab2592952e992369f3c6d891b5b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a1bc8a8d051c65bdf6a290d3854bbe73a"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#a1bc8a8d051c65bdf6a290d3854bbe73a">xhx_getImageFromColor:</a></td></tr>
<tr class="separator:a1bc8a8d051c65bdf6a290d3854bbe73a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab967a720c8160cd8f9ca56e2905935c5"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#ab967a720c8160cd8f9ca56e2905935c5">xhx_imageWithStartColor:endColor:size:</a></td></tr>
<tr class="memdesc:ab967a720c8160cd8f9ca56e2905935c5"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">创建颜色渐变的图片  <a href="category_u_i_image_07_x_h_x_extension_08.html#ab967a720c8160cd8f9ca56e2905935c5">更多...</a><br/></td></tr>
<tr class="separator:ab967a720c8160cd8f9ca56e2905935c5"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a70de61ca648e31ab9368845feb9852cf"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#a70de61ca648e31ab9368845feb9852cf">xhx_resizableImageWithColor:cornerRadius:</a></td></tr>
<tr class="separator:a70de61ca648e31ab9368845feb9852cf"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a89ea7606704f47daca9981784294d33f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89ea7606704f47daca9981784294d33f">◆&nbsp;</a></span>xhx_compressImageWithPixelSize:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIImage *) xhx_compressImageWithPixelSize: </td>
          <td></td>
          <td class="paramtype">(CGSize)&nbsp;</td>
          <td class="paramname"><em>pixelSize</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>等比压缩图片（按像素） </p>

</div>
</div>
<a id="ae7703ab2592952e992369f3c6d891b5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7703ab2592952e992369f3c6d891b5b">◆&nbsp;</a></span>xhx_cropByWidthHeightRate:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIImage *) xhx_cropByWidthHeightRate: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>rate</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a1bc8a8d051c65bdf6a290d3854bbe73a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bc8a8d051c65bdf6a290d3854bbe73a">◆&nbsp;</a></span>xhx_getImageFromColor:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIImage *) xhx_getImageFromColor: </td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab967a720c8160cd8f9ca56e2905935c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab967a720c8160cd8f9ca56e2905935c5">◆&nbsp;</a></span>xhx_imageWithStartColor:endColor:size:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIImage *) xhx_imageWithStartColor: </td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">endColor:</td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">size:</td>
          <td></td>
          <td class="paramtype">(CGSize)&nbsp;</td>
          <td class="paramname"><em>size</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>创建颜色渐变的图片 </p>

</div>
</div>
<a id="a70de61ca648e31ab9368845feb9852cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70de61ca648e31ab9368845feb9852cf">◆&nbsp;</a></span>xhx_resizableImageWithColor:cornerRadius:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIImage *) xhx_resizableImageWithColor: </td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">cornerRadius:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>radius</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_image_09_x_h_x_extension_8h_source.html">UIImage+XHXExtension.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_image_09_x_h_x_extension_8m.html">UIImage+XHXExtension.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_image_07_x_h_x_extension_08.html">UIImage(XHXExtension)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>